%define upstream_name	 Carp-Assert-More
%define upstream_version 1.14

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 8

Summary:    Convenience wrappers around Carp::Assert module
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://search.cpan.org/CPAN/authors/id/P/PE/PETDANCE/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Carp)
BuildRequires: perl(Carp::Assert)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(Scalar::Util)
BuildRequires: perl(Test::Exception)
BuildRequires: perl(Test::More) >= 0.180.0
BuildRequires: perl-Carp-Assert
BuildRequires: perl-Test-Exception
BuildArch:  noarch

%description
Carp::Assert::More is a set of wrappers around the Carp::Assert functions 
to make the habit of writing assertions even easier.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make

%{__make} test

%install
%makeinstall_std

%files
%doc Changes INSTALL META.json META.yml MYMETA.yml README
%{perl_vendorlib}/Carp
%{_mandir}/man3/*

%changelog
* Tue Jul 11 2017 bb2 <bb2> - 1.140.0-8pclos2017
- rebuild against updates

